<!--{{bookDetails.length}}-->
<!--{{name}}-->

<div class="improvedRow row" id="bookCardData">
  <div class="col-xs-12 col-sm-6 col-md-4 col-lg-3 " ng-repeat="bookNames in bookCatDetails | filter:name | orderBy:bookNames.title" >
    <div class="box box-warning direct-chat direct-chat-primary bookCardData1">
      <div class="box-header with-border">
        <h3 style="cursor: help;" class="box-title" tooltip="{{bookNames.Title}}" tooltip-enable="true" tooltip-trigger="mouseenter">{{ bookNames.Title | limitTo: 20 }}{{bookNames.Title.length > 30 ? '...' : ''}}</h3>
      </div><!-- /.box-header -->
      <div class="box-body">
        <!--{{bookNames.Images.length}}-->
        <div ng-if="bookNames.Images.length ===0" class="bookCard">
          <a   class="cursorPointer fancybox " data-toggle="modal" rel="gallery" ng-click="getBookDetailsByBookId(bookNames.bookId)"> <!--data-target="#myModal"-->
            <img src="img/prevew/No_image_available.jpg"  altSrc="img/prevew/No_image_available.jpg" style="width: 100%; height: 374px;"/>
          </a>
          <!-- <a ng-repeat="bookNamesImages in bookNames.Images track by $index" ng-show="$first" class="cursorPointer fancybox " data-toggle="modal" rel="gallery" data-target="#myModal" ng-click="getBookDetailsByBookId(bookNames.bookId)">
             <img src="../../img/prevew/No_image_available.jpg"  altSrc="img/thm/Book1.jpg" style="width: 100%;"/>
           </a>-->
        </div>
        <div  ng-if="bookNames.Images.length !==0" class="bookCard">
          <a ng-repeat="bookNamesImages in bookNames.Images track by $index" ng-show="$first" class="cursorPointer fancybox " data-toggle="modal" rel="gallery" data-target="#myModal" ng-click="getBookDetailsByBookId(bookNames.bookId)">
            <img Src="{{imageBaseUrl}}{{bookNamesImages.imageName}}" style="width: 100%; height: 374px;" altSrc="img/prevew/No_image_available.jpg" onerror="this.src = $(this).attr('altSrc')"/>
          </a>
        </div>
      </div>
      <div class="box-footer" style="padding-bottom: 0px;">
        <!--<div class="row">-->
        <!--  <div class="col-md-12">
            <p style="margin: -10px 0 5px; color: #0000FF">{{bookNames.PublishedDate | date:'mediumDate'}}</p>
          </div>-->
        <div class="col-md-12" style="height: 62px;"><!--margin: -10px 0px 5px; width: 315px; height: 55px; padding-top: 8px; padding-bottom: 10px;-->
          <p style="width: 204px;">{{ bookNames.ShortDesc | limitTo:80}}{{bookNames.ShortDesc.length >50 ? '...' : ''}}</p>
        </div>
        <!--</div>-->
      </div>
    </div>
  </div>
</div>
<div class="col-md-12 col-sm-8 text-center" ng-hide="noBooks">
  <blockquote >
    <span>Sorry ,No Books.</span>
  </blockquote>
</div>
<!--<div ng-include="'view/includes/bookDetail.html'"></div>-->
<div ng-show="noBooks"  ng-include="'view/includes/pagination.html'" ></div><!--style="margin-left: 25%;margin-right:25%;"-->
